diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index d7479925cb..5fe2a9286f 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -672,11 +672,11 @@ static const PsqlScanCallbacks pgbench_callbacks = {
 static inline pg_time_usec_t
 pg_time_now(void)
 {
-	instr_time	now;
+	struct timeval tv;
 
-	INSTR_TIME_SET_CURRENT(now);
+	gettimeofday(&tv, NULL);
 
-	return (pg_time_usec_t) INSTR_TIME_GET_MICROSEC(now);
+	return tv.tv_sec * 1000000 + tv.tv_usec;
 }
 
 static inline void
